Package com.evopdf

# Enum TextNoteIcon

java.lang.Object
java.lang.Enum<TextNoteIcon>
com.evopdf.TextNoteIcon

All Implemented Interfaces:
  `Serializable`, `Comparable<TextNoteIcon>`, `java.lang.constant.Constable`

public enum TextNoteIcon extends Enum<TextNoteIcon>
Defines set of text annotation types

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `Comment`
  `Help`
  `Insert`
  `Key`
  `NewParagraph`
  `Note`
  `Paragraph`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `value()`
  `static TextNoteIcon`
  `valueOf(String name)`
  Returns the enum constant of this type with the specified name.
  `static TextNoteIcon[]`
  `values()`
  Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `compareTo, describeConstable, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### Note

    public static final TextNoteIcon Note

  - ### Comment

    public static final TextNoteIcon Comment

  - ### Help

    public static final TextNoteIcon Help

  - ### Insert

    public static final TextNoteIcon Insert

  - ### Key

    public static final TextNoteIcon Key

  - ### NewParagraph

    public static final TextNoteIcon NewParagraph

  - ### Paragraph

    public static final TextNoteIcon Paragraph

- ## Method Details

  - ### values

    public static TextNoteIcon[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static TextNoteIcon valueOf(String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum type has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### value

    public int value()